# This code is part of a Qiskit project.
#
# (C) Copyright IBM 2024.
#
# This code is licensed under the Apache License, Version 2.0. You may
# obtain a copy of this license in the LICENSE.txt file in the root directory
# of this source tree or at http://www.apache.org/licenses/LICENSE-2.0.
#
# Any modifications or derivative works of this code must retain this
# copyright notice, and modified files need to carry a notice indicating
# that they have been altered from the originals.

"""Utilities for Qiskit addons.

This package contains functionality which is meant to supplement workflows involving one or more
Qiskit addons. For example, this package contains functions for creating Hamiltonians, generating
Trotter time evolution circuits, and slicing and combining quantum circuits in time-wise partitions.

.. currentmodule:: qiskit_addon_utils

Submodules
==========

.. autosummary::
   :toctree:

   coloring
   problem_generators
   slicing
"""
